blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
ce439cb60793cbc57acd946c8fe83ef6b6efbf82
Shell
stcarrez/ada-keystore
/regtests/files/fake-editor
UTF-8
73
2.703125
3
[ "Apache-2.0" ]
permissive
#!/bin/sh if test $# -ne 1; then exit 1 fi echo "fake editor $1" > $1
true
d074bf5617ca21befa83f8c1cf75901b24fb061f
Shell
wesleyjtann/Hierarchical-Federated-Learning-Quantization
/src/script_bash_FL_diffFP_cifar.sh
UTF-8
2,136
2.703125
3
[ "MIT" ]
permissive
#!/bin/bash # Comments line start with a # # Commands are surrounde by () # Website on how to write bash script https://hackernoon.com/know-shell-scripting-202b2fbe03a8 # Set GPU device (you can ignore this if not usin GPU) GPU_ID="cuda:0" # ================ 32-bit ================ # This is for FL for 32-bit floa...
true
ae4836673643a663010795c0281012913507d3d8
Shell
kevinclement/dotfiles
/install.sh
UTF-8
2,263
3.546875
4
[]
no_license
#!/bin/sh echo "Setting up your Mac..." # Setup Xcode if its not installed if ! xcode-select --print-path &> /dev/null; then # Prompt user to install the XCode Command Line Tools xcode-select --install &> /dev/null # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - # Wait until the XCo...
true
c3cc99d76cc4a4834b257b4c9f79edc88853c83c
Shell
rajaram-rabindranath/grad-PDP-HDFS
/Sort/Hadoop/SLURM_HADOOP_8
UTF-8
2,088
2.859375
3
[]
no_license
#!/bin/bash #SBATCH --partition=general-compute #SBATCH --nodes=8 #SBATCH --ntasks-per-node=1 #SBATCH --job-name=HD_BSORT #SBATCH --time=01:20:00 #SBATCH --mail-user=rajaramr@buffalo.edu #SBATCH --output=result/Result_OMP_BSORT_%j.out #SBATCH --error=result/Result_OMP_BSORT_error_%j.out echo "SLURM Enviroment Variabl...
true
e0ae82559587dd75251b6d3b58ed86b9dcf4d4e9
Shell
andriydruk/icu-android-gha
/build.sh
UTF-8
799
3.421875
3
[ "MIT" ]
permissive
#!/bin/bash set -ex # Install build-essential and unzip sudo apt-get install build-essential unzip # Install NDK wget https://dl.google.com/android/repository/android-ndk-r21e-linux-x86_64.zip unzip android-ndk-r21e-linux-x86_64.zip export NDK=$PWD/android-ndk-r21e export TOOLCHAIN=$NDK/toolchains/llvm/prebuilt/linux...
true
482bc7fe65d25e6febfbec961e53f33637410fc7
Shell
woshilapin/dot
/zsh/scripts/ffmpeg.diff
UTF-8
585
3.703125
4
[]
no_license
#!/bin/sh # Documentation on http://www.ffmpeg.org/ffmpeg-filters.html#blend HELP="""ffmpeg.diff\n Diff 2 videos\n \n ffmpeg.diff <file_in1> <file_in2> <file_out>\n \n -h | --help Display this message\n """ if [ $# -eq 1 -a \( "$1" = "-h" -o "$1" = "--help" \) ] then echo $HELP exit 0 fi if [ $# -lt 2 -o \! -f "$1" -...
true
62cb5ea57bc2b8a40700b9d27fe9aaa85a58a739
Shell
trustedanalytics/spark-tk
/python/sparktk/doc/builddoc.sh
UTF-8
3,116
3.328125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # Copyright (c) 2016 Intel Corporation  # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # #       http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by ...
true
6bd010ed97d2c7f574d5fb473ad023a5bb9c68e3
Shell
paneidos/funpack-feed-the-beast-mindcrack
/bin/compile
UTF-8
947
3.296875
3
[]
no_license
#!/bin/bash # usage: bin/compile <build-dir> <cache-dir> set -eo pipefail mkdir -p "$1" "$2" build=$(cd "$1/" && pwd) cache=$(cd "$2/" && pwd) funpack=$(cd $(dirname $0)/.. && pwd) ver="8.3.2" url="http://www.creeperrepo.net/direct/FTB2/44146256c0d7740c93e12e9c8cbbb55f/modpacks%5EMindCrack%5E${ver//./_}%5EMindCrack_...
true
845c36ad7fe9cc216176d20b1136dd592cbe7e4b
Shell
RusDavies/moose-aws-profile
/assets/scripts/extractShapeScripts.sh
UTF-8
725
3.859375
4
[]
no_license
#!/bin/bash function Error() { printf "ERROR: $1.\n" 1>&2 && exit 1 } [ -z "$1" ] && Error "Incorrect number of params." [ ! -e "$1" ] && Error "Source file doesn't exist." XPATHBASE="/MDG.Technology/UMLProfiles/UMLProfile/Content/Stereotypes/Stereotype" TARGETDIR="${1%.xml}_ShapeScripts" MTS=$(xmlstarlet sel -T ...
true
b5edb948b623a6fea083cec95e5a4b5efaaf03e1
Shell
calm4wei/elasticsearch_tag
/bin/es_push.sh
UTF-8
825
3.390625
3
[]
no_license
#!/bin/bash DIR_HOME=$(cd $(dirname $0); pwd) CLASSPATH="/home/es/elasticsearch-2.0.0/lib/*:$DIR_HOME/lib/*:/opt/cloudera/parcels/CDH/jars/*" CLASS="com.cobub.es.dao.PushData" JAVA_OPTS="-Xmn256m -Xmx2048m" LOG_PATH="$DIR_HOME/logs" RUN_PATH="$DIR_HOME/run" LOG_FILE="es-tag-test.log" PID_FILE="es-tag-test.pid" if [ ...
true
adf6067bd8c420d8d9f20ed7f20ce7163cb5514e
Shell
alexkhesin1975/bash-script
/substitutions.sh
UTF-8
296
2.953125
3
[]
no_license
# substitutions === zameny # Shell Substitutions - escape sequence example name="Alex" marks=75 echo -e "Student" $name"'s mark is \n " $marks #if we add extension of [-e] after echo it starts to understand escape marks [\n means next line] without [-e] it will be additional part of text.
true
c8aedbc76551192feba4a62fefb247bff2b92ce2
Shell
MatheMatrix/kvbench
/cmd/cli/report.sh
UTF-8
1,113
2.953125
3
[ "MIT" ]
permissive
#!/bin/sh `rm -f benchmarks/*.csv` STORES=("badger" "bbolt" "bolt" "leveldb" "kv" "buntdb" "pebble" "rocksdb" "btree" "btree/memory" "map" "map/memory") echo "name,set,get,set-mixed,get-mixed,del" >> benchmarks/nofsync_throughputs.csv echo "name,set,get,set-mixed,get-mixed,del" >> benchmarks/nofsync_time.csv echo "n...
true
cefe5bdcb74774a89c6dad27fed81438214cea3b
Shell
michTalebzadeh/wfmWithAirflow
/shells/etl_python_oracle_to_aerospike_and_GCP.ksh
UTF-8
1,787
3.734375
4
[]
no_license
#!/bin/ksh #-------------------------------------------------------------------------------- # # Procedure: etl_python_oracle_to_aerospike_and_GCP.ksh # # Description: move oracle table data to flat file and then aerospike set # # Parameters: none # #---------------------------------------------------------------...
true
d443fa007297e5c86e3c07d378ebf43a68a2c819
Shell
tectonic-typesetting/tectonic-ci-support
/cross-images/build.x86_64-unknown-linux-musl.sh
UTF-8
497
2.921875
3
[]
no_license
#! /usr/bin/env bash # Copyright 2019 The Tectonic Project # Licensed under the MIT License. [ -n "$IMGUID" ] || IMGUID="$(id -u)" rust_platform=x86_64-unknown-linux-musl alpine_platform=x86_64-alpine-linux-musl cd "$(dirname $0)" && exec docker build \ -t tectonictypesetting/crossbuild:$rust_platform \ ...
true
b2e7301b07b541fedb76ea34be1a149dec2e6b29
Shell
aldodelgado/Motd-Message-of-the-Day
/motd
UTF-8
3,829
3.5
4
[]
no_license
#!/bin/bash FILE="/etc/motd" #BOOTTIME=$(who -b | sed -e "s/[^A-Z]*//") BOOTTIME=$(who -b) #UPTIME=$(uptime | sed -e "s/ [0-9:]* up />/" -e "s/,.*//") UPTIME=$(uptime) #DISK=$(df -h | egrep '(Filesystem)|(/dev/sd)') DISK=$(df -h) WHO=$(who) INSTDATE=$(date +%F) HOSTNAME=$(hostname) OSRELASE=$(cat /etc/*release | head ...
true
84617a6c2cbba3aee924688d0e47d21d612b15da
Shell
unixian97/ndn-dpdk
/mk/cgotest.sh
UTF-8
503
3.796875
4
[ "LicenseRef-scancode-unknown-license-reference", "NIST-PD" ]
permissive
#!/bin/bash set -eo pipefail if [[ -z $MESON_SOURCE_ROOT ]] || [[ -z $MESON_BUILD_ROOT ]] || [[ $# -lt 1 ]]; then echo 'USAGE: ninja -C build cgotest' >/dev/stderr exit 1 fi cd $MESON_SOURCE_ROOT mk_cgotest() { pushd $1 >/dev/null ( echo 'package '$(basename $1) echo 'import "testing"' sed -n 's/^f...
true
1004ac6f2788bad739752db3a46f78c325026b44
Shell
gisderdube/heroku-buildpack-conda
/bin/compile
UTF-8
3,146
3.6875
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Cloud Foundry IPython Notebook Buildpack # Copyright (c) 2014-2015 the original author or authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.ap...
true
524c729ba5369cfef51f2345e34984022bc8c035
Shell
timbertson/passe
/appengine/gup/app/lib.gup
UTF-8
425
2.984375
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!bash -eu gup -u bin/passe-server mkdir "$1" # ugly parse to grab out the first absolute-path of each line in ldd output ldd bin/passe-server | sed -e 's|([^)]*)||;s|\(/[^ ]*\).*|\1|' | grep -o '/[^ ]*' | while read f; do # ldd app/bin/passe-server | awk '{print $3}' | grep '^/' | while read f; do cp --no-preserve=al...
true
fed9679fdca5e0c944e8c1ecd0123815518fac69
Shell
aaronkempf/canvas
/conf.d/54canvas-install
UTF-8
899
2.765625
3
[]
no_license
#!/bin/bash -ex source /usr/local/src/canvas.conf # bugfix sed -i "/index_groups_on_wiki_id/ s/^/#/" $WEBROOT/db/migrate/20101210192618_init_canvas_db.rb # preset answers for automated install export CANVAS_LMS_ADMIN_EMAIL=$ADMIN_MAIL export CANVAS_LMS_ADMIN_PASSWORD=$ADMIN_PASS export CANVAS_LMS_ACCOUNT_NAME="TurnK...
true
9efb4ab0ddb0177dbc3bc484517b72e4ae05e534
Shell
ShalokShalom/plan.sh
/sysfsutils/plan.sh
UTF-8
658
2.78125
3
[ "Apache-2.0" ]
permissive
pkg_origin=cosmos pkg_name=sysfsutils pkg_version=2.1.0 pkg_description="System Utilities Based on Sysfs" pkg_license=('GPL' 'LGPL') pkg_upstream_url="http://linux-diag.sourceforge.net/Sysfsutils.html" pkg_deps=('glibc') pkg_source=("http://downloads.sourceforge.net/sourceforge/linux-diag/$pkg_name-$pkg_version.tar.gz...
true
9ea329e92cb8729665d4e5053536296df75405f2
Shell
nadmk/CBL-Workspace
/make_image_all.sh
UTF-8
461
3.109375
3
[ "MIT" ]
permissive
#!/bin/sh if [ -z "$1" ] then echo 'No Target CBL Project' else echo 'Building Images using configs under /imageconfigs/demo_*' cd CBL_$1/toolkit/ echo "Building VHD Image" sudo make image CONFIG_FILE=../imageconfigs/vhd.json echo "Building VHDx Image" sudo make ...
true
d4219b0b5909f7707d05126c868147e318c83cea
Shell
SloCompTech/docker-openvpn
/root/usr/local/share/docker-openvpn/examples/basic_nat_wlp_ipv6/config/openvpn/hooks/down/10-network.sh
UTF-8
1,224
2.796875
3
[ "MIT" ]
permissive
#!/usr/bin/with-contenv bash # # Network clear # echo "Clearing OpenVPN releated firewall rules" # Close OpenVPN port to outside ovpn-iptables -D INPUT -p udp -m udp --dport $PORT -j ACCEPT -m comment --comment "Open OpenVPN port" ovpn-ip6tables -D INPUT -p udp -m udp --dport $PORT -j ACCEPT -m comment --comment "O...
true
98afa6ba227bb7aea7507a776a7207ae56a99aae
Shell
hoshsadiq/dot_files
/zshrc.d/functions/terraform.zsh
UTF-8
1,833
3.703125
4
[]
no_license
ws2wsfile() { local ws ws="$1" if [[ $ws =~ ([a-z\-]+)_(catamorphic_dr|[a-z\-]+)_([a-z0-9\-]+)_([a-z\-]+)_([a-z0-9\-]+) ]]; then printf "accounts/terraform-cloud/workspaces/%s_%s/workspace" "${match[1]}" "${match[2]}" printf "_%s" "${match[1]}" "${match[2]}" "${match[3]}" "${match[4]}" "${match[5]}" p...
true
45ff6c368ad3926610888d074ca0251392721dd9
Shell
code4mk/bash-now
/uninstall.sh
UTF-8
371
2.6875
3
[ "MIT" ]
permissive
echo "bash-now is uninstalling...." echo "Done Boss! >> Try again" echo "https://github.com/code4mk/bash-now" if [ -d ~/bash-code ]; then rm -rf ~/bash-code fi if [ -d ~/bash-default ]; then cp ~/bash-default/.bashrc ~/.bashrc cp ~/bash-default/.bash_profile ~/.bash_profile rm -rf ~/bash-default fi if [...
true
5a3a0d6fff88a2986b3d357954b970d76eacada0
Shell
mdogan/MicroRaft
/tools/repeat-test.sh
UTF-8
537
3.890625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash if [ -z "$1" ]; then echo "usage: repeat.sh repeat_count optional_test_name" exit 1 fi if [ -n "$2" ]; then TEST_NAME=$2 echo "TEST NAME: $TEST_NAME" fi REPEAT=$1 ROUND="1" mvn clean while [ ${ROUND} -le "${REPEAT}" ]; do echo "ROUND: $ROUND" if [ -n "$TEST_NAME" ]; then m...
true
73034866419c34e907f18b455388ba77fb830a02
Shell
probablycorey/seriously
/scripts/package
UTF-8
2,075
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash FRAMEWORK_NAME="Seriously" FRAMEWORK_VERSION=A FRAMEWORK_CURRENT_VERSION=$(agvtool vers -terse) FRAMEWORK_COMPATIBILITY_VERSION=$(agvtool vers -terse) BUILD_TYPE=Release # This is the full name of the framework we'll build FRAMEWORK_DIR=$FRAMEWORK_NAME.framework # Clean any existing framework tha...
true
c46ce022204caa7be06c01d51e000a4168da4e29
Shell
ywtgogo/sd_py_product
/product_sensor/WATER/test_all.sh
UTF-8
636
2.578125
3
[]
no_license
#!/bin/bash date1=`date +%s` log_name=`date +%Y%m%d` echo $log_name.log echo $date1 echo "normal test start\n" sudo python normal_test.py echo "alarm test start\n" python alarm_test.py echo "alarm ack test start\n" sudo python alarm_ack_test.py echo "ack test start\n" sudo python ack_test.py echo "full test start\n" su...
true
bb5027050feb3a9af0cb60cdd03a42e3aa695e1e
Shell
parkerholladay/school-a-palooza
/scripts/db/run-schema-scripts.sh
UTF-8
670
3.875
4
[]
no_license
#!/bin/bash white="\033[0m" green="\033[0;32m" cyan="\033[0;36m" if [ -z "$1" ]; then echo "Must provide server host" exit 1 fi if [ -z "$2" ]; then echo "Must provide user name" exit 1 fi sql="./schema.sql" db="school_a_palooza" db_int="${db}_integration" for file in `ls "$(dirname $0)"/???-*.sql | sort`;...
true
f4c1ab0bba9b0b21fa39fe2d83748fa2177051b9
Shell
IshrakAbedin/ShellShock
/9_FileOptions.sh
UTF-8
1,113
3.984375
4
[]
no_license
#!/usr/bin/bash file1="./1_Hello.sh" # Existence checking if [ -e $file1 ]; then echo "$file1 exists" # Normality checking if [ -e $file1 ]; then echo "$file1 is a normal file" fi # Readability check if [ -r $file1 ]; then echo "$file1 is readable" fi # Writablity che...
true
b7895550dafff33c032c80b26e4fd276ab137b49
Shell
astrofrog/glue
/.trigger_app_build.sh
UTF-8
919
3.3125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh if ! [ $TRAVIS_REPO_SLUG ]; then echo "Not building on travis. Exiting" exit 0 fi if [ $TRAVIS_REPO_SLUG != "glue-viz/glue" ]; then echo "Not building from main repo. Exiting" exit 0 fi if [ $TRAVIS_PULL_REQUEST != 'false' ]; then echo "Not building for pull request." exit 0 fi travi...
true
c18f9ca92a34b3c8003ad341d845794141a0458c
Shell
crkg/sqlAlchemy
/scripts/stop.sh
UTF-8
569
3.59375
4
[]
no_license
#!/usr/bin/env bash set -e DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" USER=`whoami` PID_FILE="/Users/${USER}/PycharmProjects/gunicorn/var/run/server.pid" #< add python installation if required ; and export path with python > cd ${DIR}/.. if [ ! -f ${PID_FILE} ]; then echo "The file ${PID_FILE} doe...
true
d355eaa4ef99975c706f5b26bdf6a6da33f8ec4e
Shell
pk-otus/10_bulkmt
/test_fixed.sh
UTF-8
112
2.953125
3
[]
no_license
#!/bin/bash COUNTER=0 while [ $COUNTER -lt 1000000 ]; do echo The counter is $COUNTER let COUNTER=COUNTER+1 done
true
8657b905f501d935b583a29f39ecc14da8855a44
Shell
SimonWaldherr/gogs
/scripts/dockerfiles/build.sh
UTF-8
3,248
3.6875
4
[ "MIT", "BSD-3-Clause" ]
permissive
# Configs of the docker images, you might have specify your own configs here. DB_TYPE="YOUR_DB_TYPE" # type of database, support 'mysql' and 'postgres' MEM_TYPE="YOUR_MEM_TYPE" # type of memory database, support 'redis' and 'memcache' DB_PASSWORD="YOUR_DB_PASSWORD" # The database password. DB_RU...
true
bf668f53bde8f43b0f3e1abda2d31181f94ebd24
Shell
padthaitofuhot/unbound-in-a-box
/box/hostconfig.sh
UTF-8
971
2.859375
3
[]
no_license
#@IgnoreInspection BashAddShebang verbose "Trying to fetch root hints from Internic..." if ! curl -fsSL https://www.internic.net/domain/named.cache >${box_home}/named.cache 2>&1 | log; then warn "Couldn't fetch root.hints right now, you'll have to do it manually. Check shipit.log for details." warn "The comman...
true
b9cffd554a4ebd2c039489e2b2c98639ac394739
Shell
hodiapa/benchmark-containers
/NPB3.3.1/mpi-build/generator
UTF-8
1,412
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash ( # Configuration class=(S W A B C D E) bench=(bt cg dt ep ft is lu mg sp) proc=$1 rm -f config/suite.def touch config/suite.def if [[ $proc =~ ^[0-9]+$ ]] then # Limit for bench using square nb proc. cmdsub="scale=0;sqrt($proc)" squareProc=`echo $cmdsub | bc` fo...
true
f67a806da26eb29cb1d011436412f97a2ad0b3d0
Shell
pjoulot/drupal-webserver-manager
/install-server.sh
UTF-8
2,400
4.0625
4
[]
no_license
#!/bin/bash echo "Before launching this script, make sure you can connect to your server with an ssh key." echo "Make sure you user has permissions to install packages on your server." echo "This script will try to install all the packages that Drupal needs. Your server should not already be configured." SERVER_IP=$1...
true
d466cf3110ca41bc7ca841b19473a034aac5c6ff
Shell
zhangweijiqn/testShell
/src/shell/test006.sh
UTF-8
1,609
3.734375
4
[]
no_license
#!/usr/bin/env bash #输出重定向 # 在 shell 程式中,最常使用的 FD (file descriptor) 大概有三个, 分别是: # 0: Standard Input (STDIN) # 1: Standard Output (STDOUT) # 2: Standard Error Output (STDERR) # 在标准情况下, 这些FD分别跟如下设备关联: # stdin(0): keyboard 键盘输入,并返回在前端 # stdout(1): monitor 正确返回值 输出到前端 # stderr(2): monitor 错误返回值 输出到前端 ls diff_list.txt 1....
true
f3b5c19845f6bd7dd51942065285071f3caea8da
Shell
TharinduMunasinge/AutoscaleAnalyser
/datasets/convert_stats.sh
UTF-8
941
3.3125
3
[]
no_license
# convert sysstat outputs and RIF (4-column CSV) outputs to single-column format # WARNING: replaces original data files # cpu tail cpu -n+4 | sed -E 's/(\S+\s+)+/100-/g' | head -n-1 | bc | sed -E "s/^\./0./g" # cpu, recursive for i in `find -name "cpu"`; do tail $i -n+4 | sed -E 's/(\S+\s+)+/100-/g' | head -n-1 | ...
true
79c4ce9b6f18549fcf0827441fa9195274f9e2d8
Shell
matthieu-fa/FA-QA_E2E_sandbox
/ingestion/restore_ingest_mg_db.sh
UTF-8
622
3.828125
4
[]
no_license
#!/usr/bin/env bash if [ ! -d "$TMPDIR" ]; then echo "The directory $TMPDIR does not exist. Exiting" exit 1 fi # Dump the tables populated by mg ingestion into a tar file. # Not intended for regular testing or long term use. # Restore the mg db tables. Requires a tar file generated by dump_ingest_mg_db.sh. # T...
true
1cd77b786697bac7c9ae3dcf77e264049f715deb
Shell
cqz5858/HogwartsSDET17
/Linux/centos7_apkbuild-master/sh_file/python.sh
UTF-8
820
2.953125
3
[]
no_license
#!/bin/bash # 安装依赖 yum install -y zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gcc make # 下载python并安装 wget http://129.204.62.26/android_res/Python-3.7.0.tgz tar -zxvf Python-3.7.0.tgz yum install libffi-devel -y cd Python-3.7.0 ./configure make&&make install if [ $? -eq 0 ];...
true
5a6317daf18d1ba19bdf1bd5e396df309577a407
Shell
lewicki-pk/homeAutomation
/arduino/tags_generate
UTF-8
611
2.96875
3
[]
no_license
#!/bin/bash T="$(date +%s)" find ./ -name '*.cpp' -o -name '*.c' -o -name '*.hpp' -o -name '*.h' > cscope.files ; find /usr/share/arduino/libraries/ -name '*.cpp' -o -name '*.c' -o -name '*.hpp' -o -name '*.h' >> cscope.files ; find /usr/share/arduino/hardware/arduino/cores/arduino/ -name '*.cpp' -o -name '*.c' -o -n...
true
a589ca0a52882ada414f0803114040a46e423572
Shell
ddenial/bash
/mybshfunlib.sh
UTF-8
2,829
4.0625
4
[]
no_license
#!/usr/bin/env bash # Script Name : mybshfunlib # Description : Collection of various functions. # Author : XXXXXX # Email : xxxxx@gmail.com ################################################################################################### # Checks if file exists. # Arguments: # $1: Filename # Return: #...
true
128fe6867a4c96dd04c59043ddb0065e0778b240
Shell
doxing/pandaOS
/src/scripts/build/xprop
UTF-8
197
2.546875
3
[ "MIT" ]
permissive
#!/bin/bash FOLDERNAME="xprop-1.2.2" FILENAME="xprop-1.2.2.tar.bz2" # Xorg Application # Change directory cd /src/pkg/standard/${FOLDERNAME} # Install ./configure $XORG_CONFIG make make install
true
585d5f775b67a7500de78acc13c9c69ccde23abb
Shell
anhnguyendepocen/msd2019-final-project-final-project-group-6
/01_get_original_data.sh
UTF-8
458
2.703125
3
[]
no_license
#!/bin/bash # use curl to download the original data folder, -b for enabling cookie engine, -L for allowing redirect links curl -b cookies.txt -L https://journals.sagepub.com/doi/suppl/10.1177/0022002706289303/suppl_file/Sambanis_Aug_06.zip -o Sambanis_Aug_06.zip # update the timestamp on the resulting file using tou...
true
523f33b6216d58249e11e899f2b9eead779866e1
Shell
gcharang/xshok-proxmox
/install-post.sh
UTF-8
8,820
2.90625
3
[]
no_license
#!/usr/bin/env bash ################################################################################ # This is property of eXtremeSHOK.com # You are free to use, modify and distribute, however you may not remove this notice. # Copyright (c) Adrian Jon Kriel :: admin@extremeshok.com #####################################...
true
80682508667355377b0ef3aa62f2b6230314bb0c
Shell
cardinal76/echo
/echo-api/script/deployRemoteServer.sh
UTF-8
322
2.609375
3
[]
no_license
#!/bin/sh # this script assumes that you have installed wildfly on path $HOME/bin/wildfly artifact=$(ls ../target/*.war) echo "deploying artifact $artifact on 192.168.10.242" sh $HOME/bin/wildfly/bin/jboss-cli.sh -c controller=192.168.10.242:9995 --user=admin --password=admin --command="deploy $artifact --force"
true
df9f2d039c539e10c17f61a82ccdc621f77ae781
Shell
cryptoPickle/myorganic
/scripts/deploy.sh
UTF-8
351
3
3
[]
no_license
#!/bin/bash set -e if [ "$AWS_ACCESS_KEY" == "" ] || [ $"$AWS_SECRET" == "" ] ; then echo "AWS_ACCESS_KEY or AWS_SECRET is missing be sure exported as ENV variables" exit 1 fi if [ "$ENV" == "" ] ; then echo "ENV is not set, please export stage from env parameters" exit 1 fi export AWS_PROFILE="myorganic-${E...
true
801eb266da4a28cc546bf7b411efda958eaee2c5
Shell
jose-delarosa/sysadmin-tools
/vmcreate.sh
UTF-8
8,961
4.125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Create a VM via pxe, iso or network location. The VM is created in a local # directory storage pool. # # TODO: - ask if we want raw or qcow2 image # - should I use file extension .qcow2? # - clean up printing storage volume # - output space left in storage volume selected . $COLORFILE...
true
ddcfa52cf02473b1e28e55a24788aeb2077707c7
Shell
paradise-fi/divine
/test/posix/fs/rw-capture1.sh
UTF-8
1,066
2.953125
3
[]
no_license
# TAGS: min . lib/testcase mkdir -p capture cat > capture/fs-rw-capture.c <<EOF /* VERIFY_OPTS: --capture capture/link:follow:/ */ #include <unistd.h> #include <fcntl.h> #include <assert.h> #include <string.h> #include <errno.h> int main() { char buf[ 8 ] = {}; int fd = open( "file", O_RDWR ); assert( fd...
true
19868b9d9478abe82bcda1f86f6c119720fe5bc3
Shell
wplib/box-cli2
/inc/funcs.sh
UTF-8
9,366
4.125
4
[]
no_license
# funcs.sh source "${BOXCLI_INCLUDE_DIR}/params.sh" source "${BOXCLI_INCLUDE_DIR}/templates.sh" function realPath() { local realpath local saveIFS local index local previous if [[ $1 = /* ]] ; then realpath="$1" else realpath="$(pwd)/${1#./}" fi saveIFS="${IFS}" IFS...
true
9dbfc33218ba98ca1804048304bef7e4ebb39949
Shell
ushinosuke/Documents
/recipes/recipe1.2.sh
UTF-8
280
3.15625
3
[]
no_license
#!/bin/sh to_val=`expr 30 - 10 + 1` for i in `yes ""|cat -n|head -30|tail -$to_val`; do echo $i done awk 'BEGIN{print ""}' for i in `seq 10 30`; do echo $i done awk 'BEGIN{print ""}' for i in `yes ""|cat -n|head -30|awk 'NR>=10&&NR%5==0'{print}`; do echo $i done
true
f538a378e182399f7b61acf6ff176b91cae93b9f
Shell
nathanws/dotfiles
/.config/polybar/launch.sh
UTF-8
470
2.96875
3
[]
no_license
#!/usr/bin/env sh killall -q polybar while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done MONITOR=HDMI-0 polybar coding & MONITOR=DP-0 polybar coding2 & echo "bars launched..." # To run the same polybar on all monitors without knowing which monitors will # be connected: # #if type "xrandr"; then # for m in...
true
f8ca956cb64dafdd82a238da87f347fa373f7491
Shell
aaarl/Spotify-Auswertung-Big-Data-Plattform
/source/data/startSpark.sh
UTF-8
1,990
2.875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Setup Spark echo "Setup Spark" kubectl create serviceaccount spark kubectl create clusterrolebinding spark-role --clusterrole=edit --serviceaccount=default:spark --namespace=default # Build the docker image echo "Build docker image pyspark-k8s" docker build -t pyspark-k8s . # Configure Hadoop echo "Con...
true
9eb6e5d2c40bfb65cb9bbd0b872b933a9b1fdc3b
Shell
Spoksonat/scripts_dzero_and_dzero1
/archivos_de_dzero_a_pc.sh
UTF-8
1,580
3.484375
3
[]
no_license
#### Script para mandar un archivo desde dzero a pc. Se ejecuta desde la consola de su PC #NO OLVIDAR ejecutar: chmod u+x archivos_de_dzero_a_pc.sh para dar permiso a consola de ejecutar esto # Ejemplo 1 de ejecucion: source archivos_de_dzero_a_pc.sh /home/mf.sanchez17/Fantoma confgamos_mount.sh /home/thanatos/Todo/s...
true
a20cfb0c310d233c2468a50eaed9bcf828f1007a
Shell
sergiubodiu/dotfiles
/shell/aliases
UTF-8
2,938
3.140625
3
[ "MIT" ]
permissive
#!/bin/bash alias ..="cd .." alias ...="cd ../.." alias ....="cd ../../.." alias cd..="cd .." # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - alias c='clear' alias ch='history -c && > ~/.bash_history' # Default to human readable figures alias dud='du -d 1 -h' # Display the size of files at d...
true
d80e7b43d60634abce278a00cc5271795ee60bc1
Shell
Etersoft/etersoft-build-utils
/tests/get_release.sh
UTF-8
2,650
3.015625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh . `dirname $0`/../share/eterbuild/functions/common load_mod spec check() { [ "$2" != "$3" ] && echo "FATAL with '$1': result '$3' do not match with '$2'" || echo "OK for '$1' with '$2'" } get_release() { #echo "Warning: Error test %test" >&2 echo $TESTREL } set_release() { echo "$2" } get_mn_fromspe...
true
b2562eb8056a232b2157672170051a815ab6a669
Shell
Passionlinux/handylinux
/handylinux-thunar-actions/handylinux-thunar-actions-0.3/scripts/convert2ogg
UTF-8
707
3.296875
3
[]
no_license
#!/bin/bash #Script pour convertir des fichiers audios en ogg # requiet vorbis-tools, sox, mpg321 #Dans Thunar, choisir Edition > Configurer les actions personnalisées > # > Ajoutez une nouvelles entrée # Nom : Convert2ogg # Commande : /chemin/vers/le/script %F # Conditions d'apparition : * # Cocher "Fichiers audio" ...
true
62344cd5d8f8020497c7572b9b26b280fdbb390f
Shell
JackLas/Functionator
/build.sh
UTF-8
164
3
3
[]
no_license
#!/bin/sh build_dir=build if [ "$1" = "-clean" ]; then rm -rf $build_dir fi if [ "$1" != "-bin" ]; then cmake -B${build_dir} -H. fi cmake --build ${build_dir}
true
f036d3fd2de35013815d272868f7ed40c1f0fd86
Shell
orange-cloudfoundry/orange-cf-bosh-cli
/tools/log-govc.sh
UTF-8
2,532
3.625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash #=========================================================================== # Log with govc cli to vsphere vcenter #=========================================================================== #--- Get a parameter in credhub getCredhubValue() { value=$(credhub g -n $2 | grep 'value:' | awk '{print $2}') ...
true
0976fc479c0c919cc73e5ef3b75ce5f8c96994b0
Shell
loperaja/Magento--Groupon-and-OrderActive-Integration-Scripts
/sh/create_stock_dir.sh
UTF-8
148
3
3
[]
no_license
#!/bin/bash #Using cronjobs, will create a folder with each month's files TIME=`date +"%B_%Y"` LOCATION="/your_path/Archive" mkdir $LOCATION/$TIME
true
f05657a327e49a149b29e3f721b90f6836c8c5d4
Shell
home-IoT/api-samsungtv
/scripts/inc-service-version.sh
UTF-8
2,767
4.25
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Increment the version number in a service REPO # # Usage: inc-service-version [repo_dir] <--major|--minor|--patch> # # Copyright (c) 2016-2018 Roozbeh Farahbod # Distributed under the MIT License. # SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" SCRIPT_NAME="inc-service-version...
true
4ce7fd1af49988446d08728af8f7f2e9e0339a9c
Shell
tejas181995/ProgrammingonArray
/arrayRepeatedNum.sh
UTF-8
254
3.125
3
[]
no_license
#! /bin/bash -x count=0 for ((i=0; i<=100; i++ )) do if [ $i -eq 11 -o $i -eq 22 -o $i -eq 33 -o $i -eq 44 -o $i -eq 55 -o $i -eq 66 -o $i -eq 77 -o $i -eq 88 -o $i -eq 99 ] then double[(( $count ))]=$i count=$count+1 fi done echo ${double[@]}
true
7be3eaa78b821c550987b400a8184a85c4155aca
Shell
nerva-project/docker
/run.sh
UTF-8
2,280
4.125
4
[]
no_license
#!/bin/bash function new_version_message() { echo "You currently have an existing Nerva runtime environment." echo "This needs to be removed and regenerated with the latest version." echo "If you have made modifications to the runtime environment, you should quit now and make a backup before proceeding." ...
true
8402bd25b47b75069fcbe96480b94a1a8cb56ac6
Shell
cloudfoundry/garden-windows-ci
/tasks/git-delete-tag/run
UTF-8
299
3.125
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e function cleanup() { eval "$(ssh-agent -k)"; } eval $(ssh-agent -s) trap cleanup EXIT mkdir -p ~/.ssh ssh-keyscan github.com > ~/.ssh/known_hosts echo "$GIT_PRIVATE_KEY" | ssh-add - tag="${TAG_PREFIX}$(< version_dir/number)" cd repo git push --delete origin "${tag}"
true
ef9ee73dc187276a3a6e31559a1b887aa2e5013b
Shell
Nenu1985/PythonHomework
/pycodestyle.sh
UTF-8
375
2.71875
3
[]
no_license
#!/bin/bash YELLOW='\033[0;33m' RED='\033[0;31m' GREEN='\033[0;32m' NC='\033[0m' # No Color echo -e "${YELLOW}Starting static code analys ${NC}" # utils/ python3 -m pycodestyle rss_reader/ --max-line-length=120 echo -e "${YELLOW}rss_reader/ ${GREEN}PASSED${NC}" # rss.py python3 -m pycodestyle server/ --max-line-len...
true
a3b2afeef9177e8592ac737985694bf1c6951068
Shell
scottfrazer/dotfiles
/vim.sh
UTF-8
1,633
2.828125
3
[]
no_license
set -x packages=('vim' 'ctags') for package in "${packages[@]}" do sudo apt-get install -y $package done rm -rf ~/.vim ~/.vimrc mkdir -p ~/.vim/autoload ~/.vim/bundle # Install Pathogen pushd ~/.vim/autoload curl -LSso ~/.vim/autoload/pathogen.vim https://raw.githubusercontent.com/tpope/vim-pathogen/master/autoloa...
true
9dc41c1a35b5bbe2eabd806d32d9af43c9458d37
Shell
JimmyShi22/WeCross
/scripts/download_plugin.sh
UTF-8
2,041
4.125
4
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/bin/bash set -e LANG=en_US.UTF-8 enable_build_from_resource=0 deps_dir=$(pwd)'/plugin/' src_dir=$(pwd)'/src/' bcos_stub_url=https://github.com/WebankBlockchain/WeCross-BCOS2-Stub.git bcos_stub_branch= fabric_stub_url=https://github.com/WebankBlockchain/WeCross-Fabric1-Stub.git fabric_stub_branch= LOG_INFO() { ...
true
1fed6b3c4e3ff7c0f7081c08defd43bf9a88a44a
Shell
sskafandri/servers
/sok.sh
UTF-8
32,324
3.421875
3
[]
no_license
#!/usr/bin/env bash #sok.sh - .:SERVER OK:. For Linux with DirectAdmin & CPanel by .:DANIEL BUSTAMANTE:. #VARIABLES #identificamos el sistema operativo if cat /etc/redhat-release > /dev/null 2>&1 then RedHat=$(cat /etc/redhat-release) SO=$RedHat else Debian=$(lsb_release -a) SO=$Debia...
true
f640190696a82d4172c370c51c98c4fefb78ad10
Shell
ArizagaJose/SLTA
/Scripts SO/Logs.sh
UTF-8
3,650
3.734375
4
[ "MIT" ]
permissive
#!/bin/bash #Version 3 #Hecho por José Arizaga #Formato e indentaciones por José Arizaga #Este script despliega los logs de intentos de sesion (exitosos o fallidos) let opc=10 while [ $opc != 0 ] do clear echo "Menu de Logs" echo "1- Ver historico de usuarios logeados" echo "2- Ver intentos de log fallidos...
true
a9a99881170a074cfa7d67064069ffaf8ece36a1
Shell
mg878/Bottleneck_Size_Estimation
/Example/test_unix_script4.sh
UTF-8
293
2.5625
3
[ "MIT" ]
permissive
mkdir Transmission1_bottleneck for t in `seq 0 7`; do cd Transmission1_bottleneck mkdir segment_$t cd .. cat /rds/user/mg878/hpc-work/package_lab/Transmission1_qStarStar/*/qStarStar_$t.txt > /rds/user/mg878/hpc-work/package_lab/Transmission1_bottleneck/segment_$t/test_$t.txt done
true
786800bdbd6065c5798ab3830ee1fa01e436965d
Shell
azrul2202/WebKit-Smartphone
/buildtools/bin/release2branchs.sh
UTF-8
585
3.53125
4
[]
no_license
#!/bin/bash # # Copyright (C) Research In Motion Limited 2010. All rights reserved. # # Script that can be used to find out what version of webkit the release branches are currently using. # for v in 9 10 11 12; do echo "GCXR${v}"; cl=$(p4 changes -m 1 //depot/projects/JavaDevice/2010.1-GCXR${v}/ExtVersions...
true
f327e5722f7a5432f1e9c11b98d5c46061f435bc
Shell
iron-cirrus/clustSysCtl
/startNode
UTF-8
2,573
3.4375
3
[]
no_license
#!/bin/sh ### BEGIN INIT INFO # Provides: OpenVPN # Required-Start: $remote_fs # Required-Stop: # Should-Start: # Should-Stop: # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Start and stop OpenVPN # Description: OpenVPN ### END INIT INFO fichName="startNode" path_to_ovpn_files="/home/pi" # Do NO...
true
d0c10f3b383c9c72b90d5ce9c34543e38b81db6e
Shell
zsoltszabo2007/k8s_pi
/labs/lab01/lab01_commands_all.sh
UTF-8
1,487
3.015625
3
[]
no_license
221 ./01_addUserToDockerGroup.sh 224 sudo apt install golang 231 echo "sudo apt install golang" > 02_InstallGoLang.sh 232 ./02_InstallGoLang.sh 236 which go 251 cd 253 mkdir go 256 sudo vim .bashrc # Modify ~/.bashrc and add the following # Env variable for golang # export GOPATH=$HOME/go...
true
20eb0ba4f9756bfa625408cee321ccb007c5c6fe
Shell
harshitkgupta/Shell-Scripts
/del.sh
UTF-8
270
3.59375
4
[]
no_license
#!/bin/bash -f for name in $* do if [-f $name ] then echo -n "delete file '$name' (y/n/q)?" else echo -n "delete entire directory '$name' (y/n/q)?" fi ans=$< case [ $ans ] n): continue q): exit y): #rm -r $name echo deleting $name continue esac do
true
c0f21b8ee0b779317c9358b3939a1586fb5a62de
Shell
tvandijck/longtail
/dist.sh
UTF-8
2,122
2.515625
3
[ "MIT" ]
permissive
#!/bin/bash set -e if [ "$(uname)" == "Darwin" ]; then export PLATFORM=darwin else export PLATFORM=linux fi mkdir dist cp build/longtail_debug dist cp build/longtail dist cp build/liblongtail_${PLATFORM}_x64_debug.so dist cp build/liblongtail_${PLATFORM}_x64.so dist cp build/static/liblongtail_${PLATFORM}_x64_de...
true
c9a85c138d07297616d4c03304093b2b409b6ead
Shell
vseslavcharodei/tftp-monitor
/tftp-monitor.sh
UTF-8
3,391
4.25
4
[]
no_license
#!/bin/sh # Define variables: # nlines - number of lines script should check from the end of the file for any detected attempts to connect to TFTP over defined limit # Modify nlines in conjuction with schedule of the script depending on the frequency of log messages writes to syslog # log_file - log file that should b...
true
548f6c7ad4ab39f75a201a0b526dcd6e16ded536
Shell
gaoguangnihao/system-extern
/porting_mtk_df_project/porting_mtk_6731.sh
UTF-8
1,075
2.578125
3
[]
no_license
#!/bin/sh # generator prvk keys use openssl # return value 127 means that files not exist # return value 128 means that parm NO. wrong # return value 129 means that exec prom wrong PRJ_DIR="/local/code/mtk-m/KaiOS" PATCH_PATH="/local/tools/system-faq/system-extern/porting_mtk_df_project" CURDIR="`pwd`"/"`dirname $0`"...
true
083f8abf65aa6e6960ac28a91e89fba8e402f3ec
Shell
matawanny/embs
/src/main/scripts/fnma/PreprocessFiles.sh
UTF-8
2,509
3.515625
4
[]
no_license
#!/bin/bash START=$(date +%s) SOURCE_FILENAME=$1 if [ -z "$SOURCE_FILENAME" ] then echo "Must input source file name!" exit 10 fi currentUser=$(whoami) if [ "$currentUser" != "oozie" ] then echo "Must login in as oozie" exit 11 fi FILESIZE=$(stat -c%s "$SOURCE_FILENAME") filename=$1 ext=${filena...
true
eceaff1f77cdf1a036484c6bd00cab88dd1dccf5
Shell
izz-linux/PacketLossMon
/files/icmp_test.sh
UTF-8
435
3.8125
4
[]
no_license
#!/bin/bash numParam=$# if [ $numParam -ne 2 ] then echo "Error, there must be 2 parameters!" exit 1 else firstParam=$1 if [ $firstParam == avg ] then retVal=`ping -c 10 -s 32760 $2 | grep rtt | awk '{print $4}' | cut -f2 -d/` elif [ $firstParam == loss ] then retVal=`ping -c 10 -s 32760 $2 | gr...
true
1707139fff25c8ac56708d65b792a91e742eeeed
Shell
AlvinMooreSr/foundationdb
/build/gen_dev_docker.sh
UTF-8
2,563
4.0625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e # we first check whether the user is in the group docker user=$(id -un) DIR_UUID=$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1) group=$(id -gn) uid=$(id -u) gid=$(id -g) gids=( $(id -G) ) groups=( $(id -Gn) ) tmpdir="/tmp/fdb-docker-${DIR_UUID}" image=fdb-dev pushd . mkd...
true
d9e1feccd6d90489f7aa58233942bed78342f14a
Shell
nadlabak/android_device_motorola_umts_sholes
/prebuilt/etc/init.d/30rngd
UTF-8
560
2.796875
3
[]
no_license
#!/system/bin/sh # Enable entropy feeding from the OMAP3 hardware random number generator # # Although it ( http://forum.xda-developers.com/showthread.php?t=1987032 ) seems # to be rather highly controversial subject (as discussed eg. here # https://code.google.com/p/android/issues/detail?id=42265 ), quite big drops ...
true
29d01697e6b68bf495ee6cf953d484c056f2e00b
Shell
Panblack/ezdpl
/servers/websrv/javasrv/files/usr/local/bin/verWebxml
UTF-8
632
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Deploying configuration descriptor ${catalina.base}/conf/Catalina/localhost/webapp.xml # vars: _BASES_DIR _WAR_RUNNING_PATH source /usr/local/bin/japp.include funHelp() { echo -e "Usage: verWebxml <run|all> Show running versioin | Show all versions";exit } IFS=$'\n' case $1 in run) _webs=`ls -1...
true
e9e35cfb4134bf5fc38377317e221ad6cccc387c
Shell
mdellavo/headspace-crawler
/crawl.sh
UTF-8
201
3.03125
3
[]
no_license
#!/bin/bash cat sites.txt | while read SITE ; do FILENAME=`date +crawl-%s.json` echo "Crawling $SITE" scrapy crawl "$SITE" --set FEED_URI="data/$FILENAME" --set FEED_FORMAT=jsonlines done
true
d88206f39c13ac0d82aa988f8fd4c0f8629cdec6
Shell
SekibOmazic/deploy-on-eks
/infra/rolling/bin/scripts/destroy.sh
UTF-8
563
2.796875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash GREEN="\033[1;32m" echo -e "${GREEN}Start cleanup..." export GITHUB_REPO_OWNER=SekibOmazic export GITHUB_REPO_NAME=deploy-on-eks export DOCKERHUB_USERNAME=sekibomazic export DOCKERHUB_PASSWORD=eY3Qu6#u#su6E*H export API_NAME=simple-api export AWS_ACCOUNT_ID=$(aws sts get-caller-identity --query A...
true
2f9bd449379dfd0b8025fffbe52bbdd84983eaa3
Shell
jmlich/labelme-pytools
/prepare_list_of_images.sh
UTF-8
2,035
3.421875
3
[]
no_license
#!/bin/bash out_all="./_all.txt" out_train="./train.txt" out_test="./test.txt" out_val="./val.txt" # cat ./blacklist.txt-bowfire-to-my |cut -d " " -f 2|sed 's|^/var/www/html/fire/dataset-fire-labelme-orig-Images/||'|sed 's|.jpg$||' > ./blacklist2.txt # cat ./tp.txt |sed 's|^.*/|---SUN---/|'|sed 's|.jpg$||' > ./blacli...
true
863ef05a28d682c02531185f42a14f3eb7140723
Shell
AEADataEditor/replication-template
/automations/12_run_stata_main.sh
UTF-8
1,579
4.1875
4
[ "CC-BY-4.0" ]
permissive
#!/bin/bash set -ev [[ "$SkipProcessing" == "yes" ]] && exit 0 [[ "$ProcessStata" == "no" ]] && exit 0 RunCommand="run.sh" if [ -z $2 ] then cat << EOF $0 (projectID) (name of main) where (projectID) could be openICPSR, Zenodo, etc. ID. , e.g., 123456 and (name of main) could be "main.do". Name should be unique...
true
19f47c45ed66d846db64c5f6d151e3b74a9f00d4
Shell
smalnha/oldscripts
/dev/jikes
UTF-8
281
2.953125
3
[]
no_license
#!/bin/bash # needs to be in the path for ant (so this cannot be a function) [ "$JAVA_HOME" ] || { echo "JAVA_HOME not set. Quiting."; exit 1; } [ -f "$JAVA_HOME/bin/jikes" ] || { echo "$JAVA_HOME/bin/jikes not found."; exit 1; } exec $JAVA_HOME/bin/jikes $JIKES_OPTIONS "$@"
true
4abc9e9f45f1f1d0f291db937a2f69f3b64a811b
Shell
tmtsoftware/esw
/scripts/metrics/validate.sh
UTF-8
896
3.03125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Check if two input arguments provided if [ "$#" -ne 2 ]; then echo "Please provide the following arguments: <gateway_ip> <access_token>" echo "e.g. ./validate.sh 10.1.1.1 eyJhbGciOiJSUzI1NiIsInR5cCIgO..." exit 1 fi ip=$1 token=$2 for i in {1..10000}; do curl -X POST \ http://$ip:809...
true
23d7c7acd47df39099e91ff3aea07dede662dec5
Shell
orahcio/chaos_sw
/opsw.sh
UTF-8
874
3.328125
3
[]
no_license
#!/bin/sh if [ $# -ne 11 ] then echo 'Use '$0 '<n> <K> <p-SW> <semente> <sem_rede> <eps> <J> <q> <mcs> <intervalo para salvar>' echo 'As saídas são arquivos .dat para a série temporal, .bin para o estado de número aleatório e .st para o estado inicial.' exit fi echo 'Compilando...' icc zero2_gsl.c -o zero...
true
199522796600d50ecb5245dff5919cc32f524297
Shell
koraynilay/linux-custom-scripts
/not_by_me/youmpdplay.sh
UTF-8
257
2.609375
3
[]
no_license
#!/bin/bash # MYHOST='192.168.1.128' # or your MPD host mpduri="$(youtube-dl -f best -g $1)#" TAG=$(youtube-dl -i --get-filename $1) cadena="{\"title\":\"$TAG\"}" echo "$cadena" mpduri="$mpduri$cadena" echo "$mpduri" mpc insert "$mpduri" mpc next mpc play
true
458b97f30dd1efccece5fa97a5f990048f07883d
Shell
yusuke-matsunaga/minimaleda
/tclreadline/mk
UTF-8
4,252
3.296875
3
[ "BSD-3-Clause" ]
permissive
#! /bin/sh # $Id: mk 562 2007-04-09 09:54:01Z matsunaga $ # # Copyright (C) 2005-2007 Yusuke Matsunaga # All rights reserved # [概要] # # - configure スクリプトの生成 # - autogen スクリプトの生成 # - clean up # を行うスクリプト # # [使用方法] # # ./mk # もしくは # ./mk boot # automake, autoconf などを使って configure スクリプトおよび Makefile.in # を生成する. # #...
true
bca0ddca28415d4c936d621bdfeecf771d556917
Shell
magenx/Magento-2-server-installation
/service-status-mail.sh
UTF-8
1,226
3.515625
4
[]
no_license
#!/bin/bash MAILTO="MAGENTO_ADMIN_EMAIL" MAILFROM="MAGENTO_DOMAIN" SERVER_IP_ADDR=$(ip route get 1 | awk '{print $NF;exit}') SERVICE=$1 SERVICE_STATUS=$(systemctl status ${SERVICE}) ############################################################################################ ## PUSHOVER NOTIFICATIONS ## Before continu...
true
cb63e34e8d9cab8716bd8a672d61954f8c0e5dd7
Shell
Accenture/jenkins-attack-framework
/data/bash/posix_job_dump_creds_template.sh
UTF-8
745
2.59375
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash echo "@{barrier}" >> "@{file_name}" #for @cred in @credentials: echo "@{cred.type}" >> "@{file_name}" echo "@{cred.description}" >> "@{file_name}" #if(@{cred.type} == "PASSWORD" || @{cred.type} == "SECRETTEXT") echo "$@{cred.variable}" >> "@{file_name}" #elseif(@{cred.type} == "SSHKEY") echo "$@{cred.usern...
true
babbeeedf72861cea2e9fa81a3906975377b8d8c
Shell
mpunz/dev-setup
/bin/make_symlinks.sh
UTF-8
128
3.21875
3
[]
no_license
#!/bin/bash DIRBIN=$1 for f in $(ls $DIRBIN | grep -v shell.py) do ln -s $DIRBIN/$f $(echo $DIRBIN/$f | sed 's/\.py//') done
true
c03bbedde88bee6f17febf3494f77b4158abf693
Shell
ejh243/BrainFANS
/sequencing/preScripts/fastp.sh
UTF-8
1,230
3.796875
4
[ "Artistic-2.0" ]
permissive
## Performs trimming of paired fastq files fastp for a single sample ## EXECUTION # sh ./fastp.sh <fastq file> # where # <fastq file> is the path to the "R1" fastq files which are expected to be compressed, and have either r1 or R1 in the filename # script needs to be executed from <git repo>/sequencing/ ## REQUIRES...
true
7a9db34cf48103de294e4e23898130cf51b89a31
Shell
hyiltiz/misc
/shell-scripts/drupal/backup-drupal-site.sh
UTF-8
1,431
4.53125
5
[]
no_license
#!/bin/bash # path where are the drupal sites WWW_PATH="/var/www" # path where the backups are stored BACKUP_PATH="/root/backups" backup() { SITE=$1 SITE_PATH="$WWW_PATH/$SITE" BACKUP_PATH="$BACKUP_PATH/$SITE" DATE=`date +"%d-%m-%Y"` TGZ="$BACKUP_PATH/$SITE-sites_$DATE.tar.gz" SQL="$BACKUP_P...
true
a5f1de1c3aff41f0eb4edd19748afda3105f7b0f
Shell
yonghole/2020_yolov3_scripts
/switch.sh
UTF-8
98
2.75
3
[]
no_license
for file in * do if [ ${file: -4} == ".txt" ]; then python3 switch.py $file fi done
true
c2b525c169b5b8bda52be7a750b0811c82a1cd3f
Shell
GeorgeDubuque/linux_config
/setup.sh
UTF-8
957
3.421875
3
[]
no_license
#!/bin/sh GREEN='\033[0;32m' RED='\033[0;31m' NC='\033[0m' # No Color installation_message(){ if [ $? != 0 ] then echo "${RED}${prog} could not be installed!${NC}" exit 1 else echo "${GREEN}${prog} installed!${NC}" fi } pkg_file="./pkg.list" while read -r prog do sudo apt-get -y install $prog ins...
true
d71285483c3cfce68af8dc0a94aad5dc7d7f25bd
Shell
caquino/Courier-Maildir-Creator
/imapd.rc.new
UTF-8
1,535
2.984375
3
[]
no_license
#! /bin/sh # $Id: imapd.rc.in,v 1.31 2005/07/02 01:13:56 mrsam Exp $ # # Copyright 1998 - 2005 Double Precision, Inc. # See COPYING for distribution information. prefix=/usr/local exec_prefix=/usr/local bindir=${exec_prefix}/bin libexecdir=/usr/local/libexec/courier-imap if test ! -f /usr/local/etc/courier-imap/imap...
true
2aacbf623912be4246c75fa63a052bdd3e97f98f
Shell
sourya/gut
/build.sh
UTF-8
1,269
3.8125
4
[ "MIT" ]
permissive
#!/bin/bash CHOICE="$1" set -eu printf "====== Begin at %s, Mode: %s ======\n" "$(date '+%Y-%m-%d %H:%M:%S %z')" "$CHOICE" COUNT=0 for FOLDER in ./y* do PACKAGE="${FOLDER##*/}" if [[ ! -d "$PACKAGE" ]]; then continue fi if [[ "ci" == "$CHOICE" && 0 -eq $COUNT ]]; then printf "\n####...
true